type token =
    LPAREN
  | RPAREN
  | LBRACKET
  | RBRACKET
  | PERIOD
  | COMMA
  | ACTIONOVERRIDE
  | HASH
  | NOT
  | EOF
  | IF
  | THEN
  | END
  | RESPONSE
  | ANYONE
  | STRING of (string)
  | SYMBOL of (string)
  | TILDE_STRING of (string)
  | INTEGER of (Int32.t)
  | TRANS_REF of (Int32.t)

val baf_file :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Bcs.script
val trigger_list :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Bcs.trigger list
val action_list :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Bcs.action list
